This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 441396 - Bluetooth mouse not functioning
Bluetooth mouse not functioning
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 16:34 EDT by Tom Atkinson
Modified: 2008-04-08 17:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 08:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hcidump -XVt when moving mouse around (5.35 KB, text/plain)
2008-04-07 16:34 EDT, Tom Atkinson
no flags Details
Screenshot (38.83 KB, image/png)
2008-04-07 18:13 EDT, Tom Atkinson
no flags Details

  None (edit)
Description Tom Atkinson 2008-04-07 16:34:31 EDT
Description of problem:

Bluetooth mouse is displayed in the applet, but does not function.


Version-Release number of selected component (if applicable):

Not sure what the relevant component is...

bluez-hcidump-1.41-1.fc9.x86_64
gnome-bluetooth-0.11.0-3.fc9.x86_64
bluez-gnome-0.25-1.fc9.x86_64
bluez-libs-3.30-1.fc9.x86_64
gnome-bluetooth-libs-0.11.0-3.fc9.x86_64
bluez-utils-3.30-2.fc9.x86_64

Actual results:

Mouse moves, cursor doesn't.

Expected results:

Mouse moves, cursor moves too.

Additional info:

Worked under F8.
hcitool scan does not see it (sees other devices though).
hcidump does see it, see attachment.
Device is a logitech travel mouse.
Comment 1 Tom Atkinson 2008-04-07 16:34:31 EDT
Created attachment 301562 [details]
hcidump -XVt when moving mouse around
Comment 2 Bastien Nocera 2008-04-07 17:40:34 EDT
What does "is displayed in the applet" actually mean?
Comment 3 Tom Atkinson 2008-04-07 18:13:41 EDT
Created attachment 301572 [details]
Screenshot

It appears in the 'bonded devices' section.
Comment 4 Bastien Nocera 2008-04-08 04:54:19 EDT
Does it appear in the "Input devices" section in the services tab?
Comment 5 Tom Atkinson 2008-04-08 06:29:04 EDT
No, it does not.
Comment 6 Bastien Nocera 2008-04-08 08:44:06 EDT
Then please set it up properly:
http://fedoraproject.org/wiki/Features/Bluetooth#head-419f082cf5cbe58efb9e74e8765f44deb9ae60a4
Comment 7 Tom Atkinson 2008-04-08 09:31:06 EDT
I can't add something that's not there.
Comment 8 Bastien Nocera 2008-04-08 10:24:19 EDT
(In reply to comment #7)
> I can't add something that's not there.

What's not where?
Comment 9 Tom Atkinson 2008-04-08 10:35:04 EDT
Sorry for not being clear (my laptop is at home and I am at work so I don't
remember the exact screens and messages).

Instructions are: Right-click on the Bluetooth icon in your panel and select
Preferences. In the Services tab, select the input service, and make sure it is
started. Click on Add below. Select the device you want to add, and click Connect.

I click 'Add' and am presented with an empty box - nothing for me to select.
Even if I click the 'display all devices' checkbox, move the mouse, wait for a
few mins nothing appears.
Comment 10 Bastien Nocera 2008-04-08 10:56:11 EDT
I see you already have bluez-utils-3.30-2.fc9.x86_64 installed. Restart the
bluetooth service, to make sure it's using the new version. 3.29 had a broken
"DiscoverDevices" implementation.
Comment 11 Tom Atkinson 2008-04-08 11:15:17 EDT
I will try that, but it gets rebooted daily anyway.
Comment 12 Bastien Nocera 2008-04-08 11:28:18 EDT
And obviously, make sure the device is made visible...
Comment 13 Tom Atkinson 2008-04-08 15:18:37 EDT
OK, I reinstalled fedora with the latest rawhide snapshot and it's working.
Sorry for wasting your time.
Comment 14 Bastien Nocera 2008-04-08 17:32:49 EDT
Goodie. I was sure it was working :)

Note You need to log in before you can comment on or make changes to this bug.